Subject: Re: [PATCH net-next 06/10] net: phylink: allow MAC driver to validate eee params

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 10 Dec 2024 13:58:01 +0000

On Tue, Dec 10, 2024 at 09:58:40AM +0000, Russell King (Oracle) wrote:
> That could make mac_validate_tx_lpi() redundant, but then I have a
> stack of DSA patches that could use this callback to indicate that
> EEE is not supported.

Scratch that idea - DSA also needs the ethtool get_eee() method to
return -EOPNOTSUPP, which mac_validate_tx_lpi() wouldn't cover.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!